

/* 
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Patrick Boenzli
   co-programmer:
*/


#include "player.h"
#include <iostream>

using namespace std;


Player::Player () {
  xCor = yCor = zCor = 0;
}



Player::~Player () {}


void Player::setPosition( float x, float y, float z)
{
  xCor = x; yCor = y; zCor = z;
}

void Player::getPosition(float* x, float* y, float* z) 
{
  *x = xCor; *y = yCor; *z = zCor;
}

void Player::goX(float x) 
{
  xCor += x;
}


void Player::goY(float y)
{
  yCor += y;
}

void Player::goZ(float z)
{
  zCor += z;
}

void Player::shoot(int n) {
}


//void Player::addIO(InputOutput *io) {}


void Player::drawPlayer(void) 
{
  //cout << "Player::drawPlayer()" << endl;
  //glColor3f(0.0, 0.9, 0.7);
  //glRectf(-0.5 + yCor, -0.5 + xCor, 0.5 + yCor, 2.0 + xCor);

  glPushMatrix();
  glScalef(1.0, 3.0, 1.0);
  glTranslatef(xCor, yCor, 3.0);
  glutWireCube(1.0);
  glPopMatrix();


  //cout << "x: " << xCor << " y: " << yCor << endl;
}
